!> \file paradim-ant40_mod.f90
!! Def des dimensions du grille anteis1 a 40 km  
!<

!> \namespace module_ant40
!! Def des dimensions du grille anteis1 a 40 km  
!! \author ...
!! \date ...
!! @note prescribe nx,ny,  dimension of most arrays
!! for Antarctic 40 km grid anteis1
!<

! module de dimensionnement 
! pour anteis1 Antarctique 40 km.

module module_ant40

implicit none

! character
character(len=7),  parameter  ::  geoplace='anteis1'
character(len=17), parameter  :: dirnameinp='../INPUT/ANTEIS1/' !< input directory
character(len=17), parameter  :: dirforcage='../INPUT/Forcage/' !< input directory

! dimensionnement grilles
!-------------------------
integer, parameter :: nx=141           !< dimension selon x (indice i)
integer, parameter :: ny=141           !< dimension selon y (indice j)
integer, parameter :: nlmin=141        !< min(nx,ny), pour matrice elliptique  
integer, parameter :: nz=21            !< dimension selon z (indice k) 
integer, parameter :: nzm=4            !< nb de points verticaux dans le socle
integer, parameter :: nn=199           !< pour des sorties


! pas horizontal
!-----------------
real, parameter    :: dx=40000.0
real, parameter    :: dy=40000.0      !< pas en X et Y en m


end module module_ant40
